## gcc-12-cross-mipsen 2+c1

=== debian/changelog ===
gcc-12-cross-mipsen (2+c1) unstable; urgency=medium

  * Based on gcc-12-cross 13.
    - build using gcc 12.2.0-5.

 -- YunQiang Su <syq@debian.org>  Sat, 15 Oct 2022 20:26:09 +0800
