=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
 Uploaders: Matthias Klose <doko@debian.org>, YunQiang Su <syq@debian.org>
 Standards-Version: 4.6.0
-Build-Depends: gcc-12-source (>= 12-20220222-1~),
-  gcc-12-base (>= 12-20220222-1~),
-  binutils-multiarch (>= 2.37-5),
+Build-Depends: gcc-12-source (>= 12.2.0-5~),
+  gcc-12-base (>= 12.2.0-5~),
+  binutils-multiarch (>= 2.39-6),
   autoconf2.69, bison (>= 1:2.3),
   chrpath, debhelper (>= 9), dpkg-dev (>= 1.14.15), flex, gawk, gettext,
   gperf (>= 3.0.1), 
-  binutils-mips-linux-gnu (>= 2.37-5) [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], binutils-mipsel-linux-gnu (>= 2.37-5) [amd64 i386 x32 mips64el mips64r6el arm64 ppc64el], binutils-mips64el-linux-gnuabi64 (>= 2.37-5) [amd64 i386 x32 mipsel mips64r6el arm64 ppc64el], binutils-mips64-linux-gnuabi64 (>= 2.37-5) [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], binutils-mipsisa32r6-linux-gnu (>= 2.37-5) [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], binutils-mipsisa32r6el-linux-gnu (>= 2.37-5) [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], binutils-mipsisa64r6-linux-gnuabi64 (>= 2.37-5) [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], binutils-mipsisa64r6el-linux-gnuabi64 (>= 2.37-5) [amd64 i386 x32 mips64el mipsel arm64 ppc64el],
+  binutils-mips-linux-gnu (>= 2.39-6) [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], binutils-mipsel-linux-gnu (>= 2.39-6) [amd64 i386 x32 mips64el mips64r6el arm64 ppc64el], binutils-mips64el-linux-gnuabi64 (>= 2.39-6) [amd64 i386 x32 mipsel mips64r6el arm64 ppc64el], binutils-mips64-linux-gnuabi64 (>= 2.39-6) [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], binutils-mipsisa32r6-linux-gnu (>= 2.39-6) [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], binutils-mipsisa32r6el-linux-gnu (>= 2.39-6) [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], binutils-mipsisa64r6-linux-gnuabi64 (>= 2.39-6) [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], binutils-mipsisa64r6el-linux-gnuabi64 (>= 2.39-6) [amd64 i386 x32 mips64el mipsel arm64 ppc64el],
   libc6-dev-mips-cross (>= 2.32) [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], libc6-dev-mipsel-cross (>= 2.32) [amd64 i386 x32 mips64el mips64r6el arm64 ppc64el], libc6-dev-mips64el-cross (>= 2.32) [amd64 i386 x32 mipsel mips64r6el arm64 ppc64el], libc6-dev-mips64-cross (>= 2.32) [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], libc6-dev-mipsr6-cross (>= 2.32) [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], libc6-dev-mipsr6el-cross (>= 2.32) [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], libc6-dev-mips64r6-cross (>= 2.32) [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], libc6-dev-mips64r6el-cross (>= 2.32) [amd64 i386 x32 mips64el mipsel arm64 ppc64el], libc6-dev-mips64-mips-cross [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], libc6-dev-mipsn32-mips-cross [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], libc6-dev-mips64-mipsel-cross [amd64 i386 x32 mips64el mips64r6el arm64 ppc64el], libc6-dev-mipsn32-mipsel-cross [amd64 i386 x32 mips64el mips64r6el arm64 ppc64el], libc6-dev-mips32-mips64-cross [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], libc6-dev-mipsn32-mips64-cross [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], libc6-dev-mips32-mips64el-cross [amd64 i386 x32 mipsel mips64r6el arm64 ppc64el], libc6-dev-mipsn32-mips64el-cross [amd64 i386 x32 mipsel mips64r6el arm64 ppc64el], libc6-dev-mips64-mipsr6-cross [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], libc6-dev-mipsn32-mipsr6-cross [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], libc6-dev-mips64-mipsr6el-cross [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], libc6-dev-mipsn32-mipsr6el-cross [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], libc6-dev-mips32-mips64r6-cross [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], libc6-dev-mipsn32-mips64r6-cross [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], libc6-dev-mips32-mips64r6el-cross [amd64 i386 x32 mips64el mipsel arm64 ppc64el], libc6-dev-mipsn32-mips64r6el-cross [amd64 i386 x32 mips64el mipsel arm64 ppc64el],
   linux-libc-dev-mips-cross [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], linux-libc-dev-mipsel-cross [amd64 i386 x32 mips64el mips64r6el arm64 ppc64el], linux-libc-dev-mips64el-cross [amd64 i386 x32 mipsel mips64r6el arm64 ppc64el], linux-libc-dev-mips64-cross [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], linux-libc-dev-mipsr6-cross [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], linux-libc-dev-mipsr6el-cross [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], linux-libc-dev-mips64r6-cross [amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el], linux-libc-dev-mips64r6el-cross [amd64 i386 x32 mips64el mipsel arm64 ppc64el],
   libisl-dev (>= 0.22.1-1~), libmpc-dev,
@@ -160,3 +160,5 @@
 Provides: c++-compiler-mips-linux-gnu, c++abi2-dev
 Suggests: ${gxx:multilib}, gcc-12-doc (>= ${gcc:SoftVersion}), libstdc++6-12-dbg-mips-cross
 Description: GNU C++ compiler
+ This is the GNU C++ compiler, a fairly portable optimizing compiler for C++.
+ .
