## gcc-12-cross-mipsen 3+c1

=== debian/changelog ===
gcc-12-cross-mipsen (3+c1) unstable; urgency=medium

  * Source-only upload (Closes: #1028441)
  * Based on gcc-12-cross 14.
    - Build using gcc 12.2.0-14.
    - Bump standards version.
    - Tighten build dependency on dpkg-dev.

 -- YunQiang Su <syq@debian.org>  Wed, 11 Jan 2023 11:53:28 +0800
