## gcc-12-cross-mipsen 3+c2

=== debian/changelog ===
gcc-12-cross-mipsen (3+c2) unstable; urgency=medium

  * Build using gcc 12.2.0-14. Closes: #1029044.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Sat, 28 Jan 2023 11:25:26 +0100
