## gcc-12-cross-mipsen 3+c3

=== debian/changelog ===
gcc-12-cross-mipsen (3+c3) unstable; urgency=medium

  * QA upload.
  * Remove myself as uploader.
  * Bump the crossN build number. Closes: #1029044.

 -- Matthias Klose <doko@debian.org>  Wed, 01 Feb 2023 19:05:52 +0100
