=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Priority: optional
 Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
-Uploaders: Matthias Klose <doko@debian.org>, YunQiang Su <syq@debian.org>
+Uploaders: YunQiang Su <syq@debian.org>
 Standards-Version: 4.6.2
 Build-Depends: gcc-12-source (>= 12.2.0-14~),
   gcc-12-base (>= 12.2.0-14~),
@@ -161,3 +161,4 @@
 Suggests: ${gxx:multilib}, gcc-12-doc (>= ${gcc:SoftVersion}), libstdc++6-12-dbg-mips-cross
 Description: GNU C++ compiler
  This is the GNU C++ compiler, a fairly portable optimizing compiler for C++.
+ .
