=== debian/rules ===
--- 
+++ 
@@ -15,8 +15,8 @@
 GCC_VER := $(shell dpkg-parsechangelog |egrep ^Source:|cut -f2 -d' '|cut -f2 -d'-')
 
 ifeq ($(GCC_VER),12)
-  MIN_VER_GCC      := 12.2.0-5~
-  PPA_VER_GCC      := 12.2.0-5~
+  MIN_VER_GCC      := 12.2.0-14~
+  PPA_VER_GCC      := 12.2.0-14~
 endif
 
 ifndef MIN_VER_GCC
@@ -31,8 +31,9 @@
 else
   DEB_VER_ACT    := $(shell /bin/sh debian/new_cross_version.sh $(if $(filter $(DEB_NAME_ACT), gcc-$(GCC_VER)-cross),arm64,ppc64))
 endif
+# next line can be removed after the next gcc-12 upload
+DEB_VER_ACT	:= $(shell expr $(DEB_VER_ACT) + 2)
 CROSS_EXT       := cross$(DEB_VER_ACT)
-CROSS_EXT       := cross2
 
 VER_GCC        := $(shell dpkg-parsechangelog -l/usr/src/gcc-${GCC_VER}/debian/changelog | awk '/^Version:/ {print $$2}' | sed 's/-[^-]*$$//')
 GCC_DIR        := /usr/src/gcc-${GCC_VER}
@@ -208,4 +209,3 @@
 endif
 
 ifneq (,$(filter s390x, $(CROSS_ARCHS)))
-  EXTRA_BUILD_DEPS += libc6-dev-s390-s390x-cross [$(HOST_ARCHS_s390x)],
