## gcc-12-cross-mipsen 3+c3ubuntu0.2

=== debian/changelog ===
gcc-12-cross-mipsen (3+c3ubuntu0.2) lunar-proposed; urgency=medium

  * SRU: LP: #1995499: Backport GCC 12.3.0 to Ubuntu 23.04.
  * Build using GCC 12.3.0.
  * Still build the common libs (no gcc-13-cross-mipsen yet).

 -- Matthias Klose <doko@ubuntu.com>  Wed, 31 May 2023 09:28:38 +0200
