## gcc-12-cross-mipsen 3+c3ubuntu2

=== debian/changelog ===
gcc-12-cross-mipsen (3+c3ubuntu2) mantic-proposed; urgency=medium

  * Build using GCC 12.3.0.
  * Still build the common libs (no gcc-13-cross-mipsen yet).

 -- Matthias Klose <doko@ubuntu.com>  Tue, 30 May 2023 18:12:49 +0200
